## org.eclipse.emf.ocl.expressions
Interface CollectionLiteralExp

All Superinterfaces:
  ASTNode, EModelElement, ENamedElement, EObject, LiteralExp, Notifier, OCLExpression, TypedElement, Visitable

All Known Implementing Classes:
  CollectionLiteralExpImpl

Deprecated. Use the `CollectionLiteralExp` interface, instead.

    @Deprecated
    public interface CollectionLiteralExp

extends LiteralExp

Field Summary
`static String` `copyright` Deprecated.

Method Summary
`CollectionKind` `getKind()` Deprecated.
`EList` `getPart()` Deprecated. Returns the value of the 'Part' containment reference list.
`boolean` `isSimpleRange()` Deprecated. Returns true if there is only one part, which is a range expression.
`void` `setKind(CollectionKind value)` Deprecated. Sets the value of the '`Kind`' attribute

Methods inherited from interface org.eclipse.emf.ocl.uml.TypedElement
`getType, setType`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ocl.utilities.Visitable
`accept`

Methods inherited from interface org.eclipse.emf.ocl.utilities.ASTNode
`getEndPosition, getStartPosition, setEndPosition, setStartPosition`

Field Detail

### copyright

    static final String copyright

  Deprecated.

  See Also:
    Constant Field Values

Method Detail

### getKind

    CollectionKind getKind()

  Deprecated.

### setKind

    void setKind(CollectionKind value)

  Deprecated.
  Sets the value of the '`Kind`' attribute.

  Parameters:
    `value` - the new value of the 'Kind' attribute.
  See Also:
    `CollectionKind`, `getKind()`

### getPart

    EList getPart()

  Deprecated.
  Returns the value of the 'Part' containment reference list. The list contents are of type `CollectionLiteralPart`.

  If the meaning of the 'Part' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Part' containment reference list.
  See Also:
    `ExpressionsPackage.getCollectionLiteralExp_Part()`

### isSimpleRange

    boolean isSimpleRange()

  Deprecated.
  Returns true if there is only one part, which is a range expression.

  Returns:
    true or false

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.